<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">  
  
  <title>PHP State Maintenance (Session)</title>    
    <style>
      a:hover { background-color:white; }
    </style>
 
</head>
<body>

<?php session_start(); // make sessions available ?>
<?php
// If the user has logged in, display the page content. 
// Otherwise, redirect to the login page (force login)
// Note: for an app that requires user to login before using the services, 
//       always check and force login on every page 
//       so that the user can't simply jump in the middle of the app
//       (via bookmark or URL rewriting)

if (isset($_SESSION['user']))
{
?>  
  <div class="container">
    <h1>Welcome, <font color="green" style="font-style:italic"><?php echo $_SESSION['user']; ?></font></h1>
    <p>
      The purpose of this activity is
      to help you practice and experience state management mechanism in PHP.      		       
      You will use session objects to maintain information (i.e., state) among HTTP requests.
    </p>
    <p>
      To complete this activity, you will implement an online survey. 
      The survey consists of at least 4 questions, each of which is displayed on a separated screen.
      You are free to create any questions of your choices. 
      The only constraint is that the questions must be appropriate for college students and classroom environment.
    </p>
    <p>
      You may format the screens as you wish as long as you
      follow the usability guidelines from class. Get creative. 
      Feel free to add additional elements you feel should be included and have fun!
    </p>
    <p>
      Let's <a href="question1.php" title="Start the first question">start the survey</a>.
      <br/><br/>
      Or <a href="logout.php">log out</a>.     
    </p>
  
<?php
}
else 
   // redirect to the login page
   header('Location: login.php');
	
?>

<!-- let's see what's in the session object -->
<!-- since a session object is an associative array, we can iterate over the collection and 
     access the key of each param-value pair to retrieve its value -->
    <br/>
    So far, $_SESSION contains
    <ul>
    <font color="green" style="font-style:italic">
    <?php
      foreach ($_SESSION as $key => $value)
      {
         echo "<li> $key : $value </li>"; 
      } 
    ?> 
    </font>
    </ul>
    
<!-- alternatively, just use var_dump to see the type, size, and content of the session object -->    
    <?php var_dump($_SESSION); ?>
    
  </div>    
</body>
</html>
